%{!?pear_metadir: %global pear_metadir %{pear_phpdir}}
%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%global pear_name HTML_QuickForm_ElementGrid

Name:           php-pear-HTML-QuickForm-ElementGrid
Version:        0.1.2
Release:        4%{?dist}
Summary:        Meta-element which holds any other element in a grid

Group:          Development/Languages
License:        LGPLv2+
URL:            http://pear.php.net/package/HTML_QuickForm_ElementGrid
Source0:        http://pear.php.net/get/%{pear_name}-%{version}.tgz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  php-pear

Requires:       php-pear(PEAR)
Requires:       php-pear(HTML_QuickForm) >= 3.2.5
Requires:       php-pear(HTML_Table) >= 1.7.5
Requires(post): %{__pear}
Requires(postun): %{__pear}

Provides:       php-pear(%{pear_name}) = %{version}


%description
An HTML_QuickForm meta-element which holds multiple HTML_QuickForm elements in
an HTML_Table. The elements in the table should behave exactly like normal
elements in a form, such as freezing and getting defaults and submitted values
correctly.


%prep
%setup -qc

cd %{pear_name}-%{version}
# https://pear.php.net/bugs/19317 README have role="data"
sed -e '/README/s/data/doc/' \
    ../package.xml >%{name}.xml


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
rm -rf $RPM_BUILD_ROOT
cd %{pear_name}-%{version}
%{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{name}.xml

# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_metadir}/.??*

# Install XML package description
install -d $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{name}.xml $RPM_BUILD_ROOT%{pear_xmldir}


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc %{pear_docdir}/%{pear_name}
%{pear_xmldir}/%{name}.xml
%{pear_phpdir}/HTML/QuickForm/ElementGrid.php


%changelog
* Tue Feb 19 2013 Remi Collet <remi@fedoraproject.org> - 0.1.2-4
- fix metadata location

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Mar 04 2012 Remi Collet <remi@fedoraproject.org> - 0.1.2-1
- Version 0.1.2 (alpha) - API 0.1.0 (alpha)

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Apr 16 2011 Remi Collet <Fedora@FamilleCollet.com> 0.1.1-7
- doc in /usr/share/doc/pear

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Aug 31 2010 Remi Collet <Fedora@FamilleCollet.com> - 0.1.1-5
- clean define 
- rename pear_name HTML_QuickForm_ElementGrid.xml 
  to php-pear-HTML-QuickForm-ElementGrid.xml
- set date.timezone during build

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jun 14 2008 Christopher Stone <chris.stone@gmail.com> 0.1.1-2
- Rebuild for vendor tag (bz #451364)

* Tue May 08 2007 Christohper Stone <chris.stone@gmail.com> 0.1.1-1
- Upstream sync

* Sun Jan 14 2007 Christopher Stone <chris.stone@gmail.com> 0.1.0-1
- Initial Fedora release
